Aavescan logo Aavescan

Data platform and API for Aave
API docs

Endpoints

Aave Daily Snapshots

Returns one year of daily snapshots. This endpoint returns data for every asset in the selected market in a single response which can be useful for market overview analysis. See daily history for full daily history. View full response field definitions.

GET /v2/daily-snapshots/{marketSlug}

Query parameters

  • apiKey

    Your Aavescan API key.

Example query

curl "https://api.aavescan.com/v2/daily-snapshots/aave-v3-ethereum?apiKey=YOUR_KEY"

Example response (snippet)

{
  "marketSlug": "aave-v3-ethereum",
  "historicalData": [
    {
      "targetDate": "2025-05-10T00:00:00Z",
      "timestamp": "1746835200",
      "blockNumber": "22449297",
      "reservesSnapshot": [
        {
          "symbol": "WETH",
          "reserve": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
          "price": "2341.19",
          "supplyApr": "0.018798516689246035758163622",
          "borrowApr": "0.025758048659068940992696566",
          "totalSupplied": "2511220.04813831641416012",
          "totalBorrowed": "2156170.330542120218029308",
          "supplyIndex": "1.044938128462296201957199703",
          "borrowIndex": "1.070408640622699241750444028"
        }
      ]
    }
  ]
}